# Uses of Class
org.apache.lucene.queryparser.flexible.core.nodes.PathQueryNode.QueryText

Packages that use PathQueryNode.QueryText
Package
Description
org.apache.lucene.queryparser.flexible.core.nodes
Query nodes commonly used by query parser implementations.

- ## Uses of PathQueryNode.QueryText in org.apache.lucene.queryparser.flexible.core.nodes

  Methods in org.apache.lucene.queryparser.flexible.core.nodes that return PathQueryNode.QueryText
  Modifier and Type
  Method
  Description
  `PathQueryNode.QueryText`
  PathQueryNode.QueryText.`clone()`
  `PathQueryNode.QueryText`
  PathQueryNode.`getPathElement(int index)`
  Returns the a specific QueryText element
  Methods in org.apache.lucene.queryparser.flexible.core.nodes that return types with arguments of type PathQueryNode.QueryText
  Modifier and Type
  Method
  Description
  `List<PathQueryNode.QueryText>`
  PathQueryNode.`getPathElements()`
  Returns the a List with all QueryText elements
  `List<PathQueryNode.QueryText>`
  PathQueryNode.`getPathElements(int startIndex)`
  Returns a List QueryText element from position startIndex
  Method parameters in org.apache.lucene.queryparser.flexible.core.nodes with type arguments of type PathQueryNode.QueryText
  Modifier and Type
  Method
  Description
  `void`
  PathQueryNode.`setPathElements(List<PathQueryNode.QueryText> elements)`
  Returns the a List with all QueryText elements
  Constructor parameters in org.apache.lucene.queryparser.flexible.core.nodes with type arguments of type PathQueryNode.QueryText
  Modifier
  Constructor
  Description
  ``
  `PathQueryNode(List<PathQueryNode.QueryText> pathElements)`